"""都市配置マップ作図用スクリプト
HowTo
    % python3 plot_map.py iput1.txt
"""

import sys
import math
import matplotlib.pyplot as plt
import numpy as np

# コマンドライン引数処理
scriptname = sys.argv[0]
if len(sys.argv) == 2:
    filename = sys.argv[1]
else:
    print('Usage: python3 {0} input_filename.'.format(scriptname))
    exit(0)

def read_input(filename):
    city_num = 0
    dataset = []
    with open(filename, 'r') as file:
        count = 0
        for raw_line in file:
            if count == 0:
                city_num = int(raw_line.rstrip())
            else:
                line = raw_line.rstrip()
                split_data = line.split(' ')
                data = []
                for item in split_data:
                    #print('type(item) = {0}, type={1}'.format(type(item), item))
                    data.append(int(item))
                dataset.append(data)
            count += 1
    return city_num, dataset

city_num, dataset = read_input(filename)

# x軸とy軸を分けて触りやすくするために numpy型に変換。
dataset2 = np.array(dataset)
x = dataset2[:,0]
y = dataset2[:,1]
plt.plot(x, y, "o")
plt.title('cities in {0}'.format(filename))
plt.xlabel('x')
plt.ylabel('y')
#plt.show()
plt.savefig('cities_{0}.pdf'.format(filename))
